Name: urlview
%define version 0.9
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.mutt.org/pub/mutt/contrib/urlview-%{version}.tar.gz
Patch: urlview-0.9-default.patch
Patch2: urlview.diff
Requires: slang >= 0.99.38, webclient
Buildroot: /var/tmp/urlview-root
Summary: An URL extractor/viewer for use with Mutt.

%description
The urlview utility extracts URLs from a given text file, and presents
a menu of URLs for viewing using a user specified command. Urlview can
be used with the Mutt e-mail reader.

%prep
%setup -q
%patch -p1 -b .default
%patch2 -p1

%build
%configure --with-slang
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%makeinstall
install -m 755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh
strip $RPM_BUILD_ROOT%{_bindir}/urlview

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.*

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9 (URL parsing fixes)

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment, allow for use of links

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- munge defaults some more

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
